/* ImLib3D
 * Copyright (c) 2001, ULP-IPB Strasbourg.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
/*! \file   ImageAs1DVector.hpp */

#ifndef _ImageAs1DVector_hpp
#define _ImageAs1DVector_hpp

#include<ImLib3D/ImageProcessor.hpp>
//#include<ImLib3D/Function.hpp>


namespace IP3D
{
/*! #&ScalarProduct&#     No Doc
        Ignores masks.
     <UL>Args:
      <LI>Source image 1  type:ImageType
      <LI>Source image 2  type:ImageType
      <LI>Result          type:double
     </UL>
~*/
	template <class ImageType>
	void ScalarProduct(const ImageType& im1, const ImageType& im2, double & retValue);
};

#include<ImLib3D/ImageAs1DVector.hxx>

#endif //_ImageAs1DVector_hpp
